Bug 778426 - EBWS One way MEP does not conform to standard
EBWS One way MEP does not conform to standard
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0
Unspecified Unspecified
high Severity high
: ---
: 5.0.0 GA
Assigned To: Mark Little
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-02 06:27 EDT by Jiri Pechanec
Modified: 2012-07-13 00:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: SOA-908
Environment:
Last Closed: 2010-02-12 05:16:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-908 None None None Never

  None (edit)
Description Jiri Pechanec 2008-10-02 06:27:27 EDT
++ This bug is a clone of bug 778425 ++

Date of First Response: 2008-10-02 06:54:51
project_key: SOA

See JBESB-2089
Comment 1 Jiri Pechanec 2008-10-02 06:27:38 EDT
Link: Added: This issue depends JBESB-2089
Comment 2 Kevin Conner 2008-10-02 06:54:51 EDT
JBossWS does not correctly support the Provider API and, as such, we needed this as a workaround.

From our code.

                // We should be able to return null here but this causes JBossWS to NPE.
                return javax.xml.soap.MessageFactory.newInstance().createMessage();
Comment 3 Jiri Pechanec 2010-02-12 05:16:49 EST
Verified in CR1
Comment 4 David Le Sage 2010-02-25 18:47:18 EST
Please review the following draft text that has been added to the Resolved Issues section of the Release Notes:


https://jira.jboss.org/jira/browse/JBESB-2089

    The one-way service for EBWS was incorrectly returning an HTTP response that contained a
    SOAP envelope. This was undertaken as a workaround for another issue but, as a consequence,
    it violated the WS-I Basic Profile R2714.

    To resolve this issue, a Servlet Filter has been added to the WS Servlet. As a result, the response
    is now filtered out so that null is returned.
Comment 5 Len DiMaggio 2010-03-23 13:43:05 EDT
This issue is not listed in the 5.0 rel notes:   http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Enterprise_SOA_Platform/5.0.0/html-single/Release_Notes/

Comment 6 David Le Sage 2010-03-23 20:28:28 EDT
G'day Len,

We did not document this as it was a resolved issue, so not applicable to a GA release.  Darrin and I have just been discussing it though and we feel it is probably worthwhile putting these into the Migration Issues section in the future as the way it works has been changed between the two releases.  We will adopt this as a practice in the future.


Cheers.

Note You need to log in before you can comment on or make changes to this bug.